Множественные уязвимости в Hipergate

Дата публикации:
11.02.2010
Дата изменения:
11.02.2010
Всего просмотров:
1025
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Неавторизованное изменение данных
Обход ограничений безопасности
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Hipergate 5.x
Уязвимые версии: Hipergate 5.0-1, возможно другие версии.

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю обойти некоторые ограничения безопасности, произвести XSS нападение и выполнить произвольные SQL команды в базе данных приложения.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметрах "title" и "desc" в сценариях common/errmsg.jsp и common/pwd_errmsg.jsp. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "nm_campaign" при добавлении ново кампании. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта. Для успешной эксплуатации уязвимости требуются привилегии на создание новой кампании.

3. Уязвимость существует из-за недостаточного ограничения доступа к сценарию admin/sql.htm. Удаленный пользователь может выполнить произвольные SQL команды в базе данных приложения.

URL производителя: hipergate.org

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA